.profile-notice {
    padding: 15px;
    background: #fff3cd;
    border-left: 4px solid #ffeeba;
    border-radius: 4px;
    margin: 10px auto;
    margin-bottom: 20px;
    font-weight: bold;
    width: max-content;
}

.header-user-avatar img {
    width: 40px;
    border-radius: 50%;
}

.elementor-shortcode .header-login-register a {
    background-color: var(--e-global-color-secondary);
    font-family: var(--e-global-typography-primary-font-family);
    font-weight: var(--e-global-typography-primary-font-weight);
    text-shadow: 0 0 10px rgba(0,0,0,.3);
    fill: var(--e-global-color-54b6204);
    color: var(--e-global-color-54b6204);
    border: 1px solid var(--e-global-color-secondary);
    border-radius: 5px;
    /* font-size: 16px; */
    padding: 12px 40px;
}

.elementor-shortcode .header-login-register a:hover {
    background-color: var(--e-global-color-primary);
    color: var(--e-global-color-54b6204);
}

/* Modal wrapper */

.social-logins .nsl-container-buttons {
    width: 100%;
}

.login-modal {
    position: fixed;
    inset: 0;
    display: none;
    z-index: 9999;
}

.login-modal.active {
    display: block;
}

/* Overlay */

.login-modal-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,.65);
    backdrop-filter: blur(3px);
}

/* Modal content */

.login-modal-content {
    position: relative;
    background: #fff;
    width: 420px;
    max-width: 90%;
    margin: 8vh auto;
    border-radius: 10px;
    padding: 35px 0;
    box-shadow: 0 20px 60px rgba(0,0,0,.3);
    animation: modalFade .25s ease;
    max-height: 90vh;
    overflow-y: auto;
}

.login-modal-content h2 {
    /* font-size: 24px; */
    text-align: center;
    margin-top: 0;
}

/* Close button */

.login-modal-close {
    position: absolute;
    right: 15px;
    top: 10px;
    /* font-size: 23px; */
    border-radius: 50%;
    height: 32px;
    width: 32px;
    border: none;
    background: none;
    cursor: pointer;
    color: #777;
}

.login-modal-close:hover {
    color: #000;
}

/* Social logins */

.social-logins {
    display: flex;
    flex-direction: column;
    padding: 0 15px;
}

.login-btn {
    width: 100%;
    padding: 12px;
    border-radius: 6px;
    border: none;
    /* font-size: 15px; */
    cursor: pointer;
    transition: .2s;
}

.login-btn:hover {
    opacity: .9;
}

/* Email toggle */

.email-toggle {
    text-align: center;
    margin-top: 18px;
}

.email-toggle a {
    /* font-size: 14px; */
    color: #555;
    text-decoration: underline;
    cursor: pointer;
}

/* Email login */

.email-login {
    margin-top: 20px;
    display: none;
    gap: 12px;
    padding: 0 15px;
}

.email-login input:not([type="checkbox"]) {
    width: 100%;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 6px;
}

.email-login .wppb-login-form-widget .wppb-error,.email-login .wppb-error.custom-login-error{
    display:none
}

.email-login .custom-login-error{
    margin: 0 auto;
    width: 80%;
    font-size: 14px;
}

.login-submit {
    padding: 12px;
    background: #111;
    color: #fff;
    border: none;
    border-radius: 6px;
    cursor: pointer;
}

/* Assistance */

.login-assistance {
    text-align: center;
    margin-top: 15px;
}

.login-assistance a,
.back-social a,
.back-login a {
    /* font-size: 13px; */
    color: #666;
    text-decoration: underline;
}

/* Register */

.register-link {
    text-align: center;
    /* font-size: 14px; */
}

.register-link a {
    font-weight: 600;
    text-decoration: underline;
}

.back-social,
.back-login {
    text-align: center;
    margin-top: 10px;
}

.email-login #wppb-login-wrap p.login-register-lost-password {
    margin: 0;
}

.register-popup {
    display: none;
}

/* Nextend social login */

#login-modal .social-logins .nsl-button-svg-container img {
    width: 25px;
    height: 25px;
    border-radius: 50%;
}

#login-modal .social-logins .nsl-container-buttons,
.nsl-container-buttons a {
    padding: 0;
    margin: 0;
}

.register-popup .youzify-membership-link-button{display: none !important;}

/* Mobile */
body ul.elementor-nav-menu .mobile-login-btn {
    display: none;
}

.divider {
    display: flex;
    align-items: center;
    text-align: center;
    margin: 20px 15px;
}

.divider::before,
.divider::after {
    content: '';
    flex: 1;
    border-bottom: 1px solid #ddd;
}

.divider span {
    padding: 0 10px;
    font-size: 14px;
    color: #777;
    font-weight: 500;
}

/* Animation */

@keyframes modalFade {
    from {
        opacity: 0;
        transform: translateY(-15px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}